package model

import (
	"time"
)

type JpushRecord struct {
	Id            int       `json:"id" xorm:"not null pk autoincr INT(11)"`
	Platform      string    `json:"platform" xorm:"VARCHAR(255)"`
	Target        string    `json:"target" xorm:"VARCHAR(255)"`
	UserId        string    `json:"user_id" xorm:"TEXT"`
	Level         int       `json:"level" xorm:"default 0 INT(11)"`
	Title         string    `json:"title" xorm:"VARCHAR(255)"`
	Content       string    `json:"content" xorm:"VARCHAR(255)"`
	Skip          string    `json:"skip" xorm:"TEXT"`
	SendType      int       `json:"send_type" xorm:"default 0 comment('0马上  1定时') INT(1)"`
	SendStartTime time.Time `json:"send_start_time" xorm:"DATETIME"`
	SendEndTime   time.Time `json:"send_end_time" xorm:"DATETIME"`
	CreateAt      time.Time `json:"create_at" xorm:"DATETIME"`
	UpdateAt      time.Time `json:"update_at" xorm:"DATETIME"`
	State         int       `json:"state" xorm:"default 0 INT(1)"`
	IsRun         int       `json:"is_run" xorm:"default 0 INT(1)"`
}
