package dao

import (
	"code.fnuoos.com/EggPlanet/egg_models.git/src/model"
)

type UserRealNameAuthDao interface {
	GetRealNameAuthByUid(uid string) (m *model.UserRealNameAuth, err error)
	GetRealNameAuthByUidWithState(uid, state string) (m *model.UserRealNameAuth, err error)
	GetRealNameAuthCount(uid int, cardNo string) (int64, error)
	GetRealNameAuthByOid(oid string) (*model.UserRealNameAuth, error)
	GetRealNameAuth(uid int) (*model.UserRealNameAuth, error)
}
